/*******************************************************************************
 * Copyright 2013 butor.com
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.butor.json.service;

import java.util.List;

import org.butor.utils.Message;
import org.butor.utils.Message.MessageType;

import com.google.common.base.Preconditions;

public class ResponseHandlerHelper {
	
	/**
	 * Use this method to send list to your ResponseHandler
	 * @param list
	 * @param handler
	 */
	public static <T>  void addList(List<T> list, ResponseHandler<Object> handler) {
		Preconditions.checkNotNull(handler, "ResponseHandler should not be null");
		Preconditions.checkNotNull(list, "List should not be null");
		Message msg = new Message("totalRows", MessageType.DATA, Integer.toString(list.size()));
		handler.addMessage(msg);
		for (Object o : list) {
			if (!handler.addRow(o))
				break;
		}
	}

}
