package org.butor.json.util;

import java.util.UUID;

import org.butor.json.CommonRequestArgs;
import org.springframework.beans.BeanUtils;

public class CommonRequestArgsFactory {

	private final CommonRequestArgs template;

	public CommonRequestArgsFactory(CommonRequestArgs template) {
		this.template = template;
	}

	public CommonRequestArgs create() {
		CommonRequestArgs cra = new CommonRequestArgs();
		BeanUtils.copyProperties(template, cra);
		cra.setReqId("R-" + UUID.randomUUID().toString());
		return cra;
	}

	@Override
	public String toString() {
		return "CommonRequestArgsFactory [template=" + template + "]";
	}

}
